if (IsAddOnLoaded("SexyMap")) then return end

local function movefunc(self, check)
	if self == WSUFMover then
		if check then
			self:SetBackdropColor(0, 0, 0, 1)
			self.text:Show()
			self:RegisterForDrag("LeftButton")
			self:SetScript("OnDragStart", function(self) self:StartMoving() end)
			self:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)	
		else
			self:SetBackdropColor(0, 0, 0, 0)
			self.text:Hide()
			self:SetScript("OnDragStart", function(self) self:StopMovingOrSizing() end)
			self:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)			
		end
	end
end

local enable = true
local f = CreateFrame("Frame", "WSUFMover", UIParent)
f:SetWidth(200)
f:SetHeight(100)
f:SetBackdrop({ bgFile = "Interface\\Buttons\\WHITE8x8", })
f:SetBackdropColor(0, 0, 0, 0)
f:SetPoint("TOP", UIParent, "TOP", 0, -20)
f:SetMovable(true)
f:SetUserPlaced(true)
f:EnableMouse(true)

_G["WorldStateAlwaysUpFrame"]:ClearAllPoints()
_G["WorldStateAlwaysUpFrame"].ClearAllPoints = function() return end
_G["WorldStateAlwaysUpFrame"]:SetPoint("CENTER", WSUFMover)
_G["WorldStateAlwaysUpFrame"].SetPoint = function() return end

f.text = f:CreateFontString(nil, "BACKGROUND")
f.text:SetFont("Fonts\\ARIALN.ttf", 14, "OUTLINE")
f.text:SetText(">Move Me<")
f.text:SetPoint("CENTER", f, 0, 10)
f.text:Hide()

SlashCmdList["WSUFMove"] = function()
    if enable then
		movefunc(WSUFMover, enable)
		enable = false
    else
		movefunc(WSUFMover, enable)
		enable = true
	end
end
SLASH_WSUFMove1 = "/wmove"